## org.apache.coyote.http11.filters
Class GzipOutputFilter.FakeOutputStream

    java.lang.Object
      java.io.OutputStream
          org.apache.coyote.http11.filters.GzipOutputFilter.FakeOutputStream

Enclosing class:
  GzipOutputFilter

protected class GzipOutputFilter.FakeOutputStream
extends java.io.OutputStream

Field Summary
`protected ByteChunk` `outputChunk`
`protected byte[]` `singleByteBuffer`

Constructor Summary
`protected` `GzipOutputFilter.FakeOutputStream()`

Method Summary
`void` `close()`
`void` `flush()`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

Methods inherited from class java.io.OutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### outputChunk

    protected ByteChunk outputChunk

### singleByteBuffer

    protected byte[] singleByteBuffer

Constructor Detail

### GzipOutputFilter.FakeOutputStream

    protected GzipOutputFilter.FakeOutputStream()

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.